set /p filename= module name :
set /p email= email address :
set /p username= user name :
mkdir %filename%
mkdir %filename%\conf 
mkdir %filename%\lang
mkdir %filename%\queries
mkdir %filename%\schemas
mkdir %filename%\ruleset
mkdir %filename%\skins
mkdir %filename%\skins\default
mkdir %filename%\tpl

:: create skins/default/index.xml
echo Welcome! >>%filename%\skins\default\index.html

:: create tpl/index.xml
echo Hello World! >>%filename%\tpl\index.html

:: create conf/info.xml
echo ^<?xml version="1.0" encoding="UTF-8"?^>  >>%filename%\conf\info.xml
echo ^<module version="0.2"^> >>%filename%\conf\info.xml
echo 	^<title xml:lang="ko"^>%filename%^</title^> >>%filename%\conf\info.xml
echo 	^<description xml:lang="ko"^>description for %filename%^</description^> >>%filename%\conf\info.xml
echo 	^<version^>1.0^</version^> >>%filename%\conf\info.xml
echo 	^<date^>%date%^</date^> >>%filename%\conf\info.xml
echo  	^<category^>service^</category^> >>%filename%\conf\info.xml
echo  	^<author email_address="%email%"^> >>%filename%\conf\info.xml
echo  		^<name xml:lang="ko"^>%username%^</name^>>>%filename%\conf\info.xml
echo  	^</author^>>>%filename%\conf\info.xml
echo  ^</module^>>>%filename%\conf\info.xml

:: create conf/module.xml
echo ^<?xml version="1.0" encoding="UTF-8"?^>  >>%filename%\conf\module.xml
echo ^<module^> >>%filename%\conf\module.xml
echo 	^<grants^> >>%filename%\conf\module.xml
echo 	^</grants^> >>%filename%\conf\module.xml
echo 	^<permissions^> >>%filename%\conf\module.xml
echo 	^</permissions^> >>%filename%\conf\module.xml
echo  	^<actions^> >>%filename%\conf\module.xml
echo  	^</actions^> >>%filename%\conf\module.xml
echo  	^<menus^> >>%filename%\conf\module.xml
echo  	^</menus^> >>%filename%\conf\module.xml
echo ^</module^> >>%filename%\conf\module.xml

:: create lang/lang.xml
echo ^<?xml version="1.0" encoding="UTF-8"?^>  >>%filename%\lang\lang.xml
echo ^<lang^> >>%filename%\lang\lang.xml
echo 	^<item name="search"^> >>%filename%\lang\lang.xml
echo 		^<value xml:lang="ko"^>^<![CDATA[Search]]^>^</value^> >>%filename%\lang\lang.xml
echo 		^<value xml:lang="en"^>^<![CDATA[Search]]^>^</value^> >>%filename%\lang\lang.xml
echo 	^</item^> >>%filename%\lang\lang.xml
echo ^</lang^> >>%filename%\lang\lang.xml

:: create admin.controller
echo ^<?php >> %filename%\%filename%.admin.controller.php
echo /**>> %filename%\%filename%.admin.controller.php
echo  * @class %filename%AdminController >> %filename%\%filename%.admin.controller.php
echo  * @author %username%(%email%) >> %filename%\%filename%.admin.controller.php
echo  */ >> %filename%\%filename%.admin.controller.php
echo.>> %filename%\%filename%.admin.controller.php
echo class %filename%AdminController extends %filename%>> %filename%\%filename%.admin.controller.php
echo {>> %filename%\%filename%.admin.controller.php
echo 	/**>> %filename%\%filename%.admin.controller.php
echo  	 * @brief initialization >> %filename%\%filename%.admin.controller.php
echo  	 */ >> %filename%\%filename%.admin.controller.php
echo 	function init()>> %filename%\%filename%.admin.controller.php
echo 	{>> %filename%\%filename%.admin.controller.php
echo 	}>> %filename%\%filename%.admin.controller.php
echo }>> %filename%\%filename%.admin.controller.php

:: create admin.view
echo ^<?php >> %filename%\%filename%.admin.view.php
echo /**>> %filename%\%filename%.admin.view.php
echo  * @class %filename%AdminView >> %filename%\%filename%.admin.view.php
echo  * @author %username%(%email%) >> %filename%\%filename%.admin.view.php
echo  */ >> %filename%\%filename%.admin.view.php
echo.>> %filename%\%filename%.admin.view.php
echo class %filename%AdminView extends %filename%>> %filename%\%filename%.admin.view.php
echo {>> %filename%\%filename%.admin.view.php
echo 	/**>> %filename%\%filename%.admin.view.php
echo  	 * @brief initialization >> %filename%\%filename%.admin.view.php
echo  	 */ >> %filename%\%filename%.admin.view.php
echo 	function init()>> %filename%\%filename%.admin.view.php
echo 	{>> %filename%\%filename%.admin.view.php
echo 	}>> %filename%\%filename%.admin.view.php
echo }>> %filename%\%filename%.admin.view.php

:: create admin.model
echo ^<?php >> %filename%\%filename%.admin.model.php
echo /**>> %filename%\%filename%.admin.model.php
echo  * @class %filename%AdminModel >> %filename%\%filename%.admin.model.php
echo  * @author %username%(%email%) >> %filename%\%filename%.admin.model.php
echo  */ >> %filename%\%filename%.admin.model.php
echo.>> %filename%\%filename%.admin.model.php
echo class %filename%AdminModel extends %filename%>> %filename%\%filename%.admin.model.php
echo {>> %filename%\%filename%.admin.model.php
echo 	/**>> %filename%\%filename%.admin.model.php
echo  	 * @brief initialization >> %filename%\%filename%.admin.model.php
echo  	 */ >> %filename%\%filename%.admin.model.php
echo 	function init()>> %filename%\%filename%.admin.model.php
echo 	{>> %filename%\%filename%.admin.model.php
echo 	}>> %filename%\%filename%.admin.model.php
echo }>> %filename%\%filename%.admin.model.php
echo.>> %filename%\%filename%.admin.model.php

:: create controller
echo ^<?php >> %filename%\%filename%.controller.php
echo /**>> %filename%\%filename%.controller.php
echo  * @class %filename%Controller >> %filename%\%filename%.controller.php
echo  * @author %username%(%email%) >> %filename%\%filename%.controller.php
echo  */ >> %filename%\%filename%.controller.php
echo.>> %filename%\%filename%.controller.php
echo class %filename%Controller extends %filename%>> %filename%\%filename%.controller.php
echo {>> %filename%\%filename%.controller.php
echo 	/**>> %filename%\%filename%.controller.php
echo  	 * @brief initialization >> %filename%\%filename%.controller.php
echo  	 */ >> %filename%\%filename%.controller.php
echo 	function init()>> %filename%\%filename%.controller.php
echo 	{>> %filename%\%filename%.controller.php
echo 	}>> %filename%\%filename%.controller.php
echo }>> %filename%\%filename%.controller.php

:: create view
echo ^<?php >> %filename%\%filename%.view.php
echo /**>> %filename%\%filename%.view.php
echo  * @class %filename%View >> %filename%\%filename%.view.php
echo  * @author %username%(%email%) >> %filename%\%filename%.view.php
echo  */ >> %filename%\%filename%.view.php
echo.>> %filename%\%filename%.view.php
echo class %filename%View extends %filename%>> %filename%\%filename%.view.php
echo {>> %filename%\%filename%.view.php
echo 	/**>> %filename%\%filename%.view.php
echo  	 * @brief initialization >> %filename%\%filename%.view.php
echo  	 */ >> %filename%\%filename%.view.php
echo 	function init()>> %filename%\%filename%.view.php
echo 	{>> %filename%\%filename%.view.php
echo 	}>> %filename%\%filename%.view.php
echo }>> %filename%\%filename%.view.php

:: create model
echo ^<?php >> %filename%\%filename%.model.php
echo /**>> %filename%\%filename%.model.php
echo  * @class %filename%Model >> %filename%\%filename%.model.php
echo  * @author %username%(%email%) >> %filename%\%filename%.model.php
echo  */ >> %filename%\%filename%.model.php
echo.>> %filename%\%filename%.model.php
echo class %filename%Model extends %filename%>> %filename%\%filename%.model.php
echo {>> %filename%\%filename%.model.php
echo 	/**>> %filename%\%filename%.model.php
echo  	 * @brief initialization >> %filename%\%filename%.model.php
echo  	 */ >> %filename%\%filename%.model.php
echo 	function init()>> %filename%\%filename%.model.php
echo 	{>> %filename%\%filename%.model.php
echo 	}>> %filename%\%filename%.model.php
echo }>> %filename%\%filename%.model.php

:: create class
echo ^<?php >> %filename%\%filename%.class.php
echo /**>> %filename%\%filename%.class.php
echo  * @class %filename%Class >> %filename%\%filename%.class.php
echo  * @author %username%(%email%) >> %filename%\%filename%.class.php
echo  */ >> %filename%\%filename%.class.php
echo.>> %filename%\%filename%.class.php
echo class %filename% extends ModuleObject>> %filename%\%filename%.class.php
echo {>> %filename%\%filename%.class.php
echo 	/**>> %filename%\%filename%.class.php
echo  	 * @brief install module >> %filename%\%filename%.class.php
echo  	 */ >> %filename%\%filename%.class.php
echo 	function moduleInstall()>> %filename%\%filename%.class.php
echo 	{>> %filename%\%filename%.class.php
echo 		$oModuleController = &getController('module');>> %filename%\%filename%.class.php
echo 		$oModuleModel = &getModel('module');>> %filename%\%filename%.class.php
echo 	}>> %filename%\%filename%.class.php
echo 	/**>> %filename%\%filename%.class.php
echo  	 * @brief check update >> %filename%\%filename%.class.php
echo  	 */ >> %filename%\%filename%.class.php
echo 	function checkUpdate()>> %filename%\%filename%.class.php
echo 	{>> %filename%\%filename%.class.php
echo 		$oDB = &DB::getInstance();>> %filename%\%filename%.class.php
echo 		$oModuleController = &getController('module');>> %filename%\%filename%.class.php
echo 		$oModuleModel = &getModel('module');>> %filename%\%filename%.class.php
echo 	}>> %filename%\%filename%.class.php
echo 	/**>> %filename%\%filename%.class.php
echo  	 * @brief update module >> %filename%\%filename%.class.php
echo  	 */ >> %filename%\%filename%.class.php
echo 	function moduleUpdate()>> %filename%\%filename%.class.php
echo 	{>> %filename%\%filename%.class.php
echo 		$oDB = &DB::getInstance();>> %filename%\%filename%.class.php
echo 		$oModuleController = &getController('module');>> %filename%\%filename%.class.php
echo 		$oModuleModel = &getModel('module');>> %filename%\%filename%.class.php
echo 	}>> %filename%\%filename%.class.php
echo 	/**>> %filename%\%filename%.class.php
echo  	 * @brief delete module >> %filename%\%filename%.class.php
echo  	 */ >> %filename%\%filename%.class.php
echo 	function moduleUninstall()>> %filename%\%filename%.class.php
echo 	{>> %filename%\%filename%.class.php
echo 		return new Object();>> %filename%\%filename%.class.php
echo 	}>> %filename%\%filename%.class.php
echo }>> %filename%\%filename%.class.php
